Package io.strimzi.systemtest.resources.crd.kafkaclients

## Class KafkaTracingExampleClients.Builder

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBasicExampleClients.Builder
  - - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaTracingExampleClients.Builder

- Enclosing class:
    KafkaTracingExampleClients

      public static class KafkaTracingExampleClients.Builder
      extends KafkaBasicExampleClients.Builder

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `KafkaTracingExampleClients` | `build()` |
    `KafkaTracingExampleClients.Builder` | `withAdditionalConfig​(String additionalConfig)` |
    `KafkaTracingExampleClients.Builder` | `withBootstrapAddress​(String bootstrapAddress)` |
    `KafkaTracingExampleClients.Builder` | `withConsumerGroup​(String consumerGroup)` |
    `KafkaTracingExampleClients.Builder` | `withConsumerName​(String consumerName)` |
    `KafkaTracingExampleClients.Builder` | `withDelayMs​(long delayMs)` |
    `KafkaTracingExampleClients.Builder` | `withJaegerServiceConsumerName​(String jaegerServiceConsumerName)` |
    `KafkaTracingExampleClients.Builder` | `withJaegerServiceProducerName​(String jaegerServiceProducerName)` |
    `KafkaTracingExampleClients.Builder` | `withJaegerServiceStreamsName​(String jaegerServiceStreamsName)` |
    `KafkaTracingExampleClients.Builder` | `withMessageCount​(int messageCount)` |
    `KafkaTracingExampleClients.Builder` | `withProducerName​(String producerName)` |
    `KafkaTracingExampleClients.Builder` | `withTopicName​(String topicName)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### withJaegerServiceProducerName

          public KafkaTracingExampleClients.Builder withJaegerServiceProducerName​(String jaegerServiceProducerName)

    - #### withJaegerServiceConsumerName

          public KafkaTracingExampleClients.Builder withJaegerServiceConsumerName​(String jaegerServiceConsumerName)

    - #### withJaegerServiceStreamsName

          public KafkaTracingExampleClients.Builder withJaegerServiceStreamsName​(String jaegerServiceStreamsName)

    - #### withProducerName

          public KafkaTracingExampleClients.Builder withProducerName​(String producerName)

      Overrides:
        `withProducerName` in class `KafkaBasicExampleClients.Builder`

    - #### withConsumerName

          public KafkaTracingExampleClients.Builder withConsumerName​(String consumerName)

      Overrides:
        `withConsumerName` in class `KafkaBasicExampleClients.Builder`

    - #### withBootstrapAddress

          public KafkaTracingExampleClients.Builder withBootstrapAddress​(String bootstrapAddress)

      Overrides:
        `withBootstrapAddress` in class `KafkaBasicExampleClients.Builder`

    - #### withTopicName

          public KafkaTracingExampleClients.Builder withTopicName​(String topicName)

      Overrides:
        `withTopicName` in class `KafkaBasicExampleClients.Builder`

    - #### withMessageCount

          public KafkaTracingExampleClients.Builder withMessageCount​(int messageCount)

      Overrides:
        `withMessageCount` in class `KafkaBasicExampleClients.Builder`

    - #### withAdditionalConfig

          public KafkaTracingExampleClients.Builder withAdditionalConfig​(String additionalConfig)

      Overrides:
        `withAdditionalConfig` in class `KafkaBasicExampleClients.Builder`

    - #### withConsumerGroup

          public KafkaTracingExampleClients.Builder withConsumerGroup​(String consumerGroup)

      Overrides:
        `withConsumerGroup` in class `KafkaBasicExampleClients.Builder`

    - #### withDelayMs

          public KafkaTracingExampleClients.Builder withDelayMs​(long delayMs)

      Overrides:
        `withDelayMs` in class `KafkaBasicExampleClients.Builder`

    - #### build

          public KafkaTracingExampleClients build()

      Overrides:
        `build` in class `KafkaBasicExampleClients.Builder`